import { Id } from 'brackets-model';
import { Storage } from './types';
export declare class Delete {
    private readonly storage;
    /**
     * Creates an instance of Delete, which will handle cleanly deleting data in the storage.
     *
     * @param storage The implementation of Storage.
     */
    constructor(storage: Storage);
    /**
     * Deletes a stage, and all its components:
     *
     * - Groups
     * - Rounds
     * - Matches
     * - Match games
     *
     * @param stageId ID of the stage.
     */
    stage(stageId: Id): Promise<void>;
    /**
     * Deletes **the stages** of a tournament (and all their components, see {@link stage | delete.stage()}).
     *
     * You are responsible for deleting the tournament itself.
     *
     * @param tournamentId ID of the tournament.
     */
    tournament(tournamentId: Id): Promise<void>;
}
//# sourceMappingURL=delete.d.ts.map