import { Id } from 'brackets-model';
import { BaseUpdater } from './base/updater';
export declare class Reset extends BaseUpdater {
    /**
     * Resets the results of a match.
     *
     * This will update related matches accordingly.
     *
     * @param matchId ID of the match.
     */
    matchResults(matchId: Id): Promise<void>;
    /**
     * Resets the results of a match game.
     *
     * @param gameId ID of the match game.
     */
    matchGameResults(gameId: Id): Promise<void>;
    /**
     * Resets the seeding of a stage.
     *
     * @param stageId ID of the stage.
     */
    seeding(stageId: Id): Promise<void>;
}
//# sourceMappingURL=reset.d.ts.map